Mailinglist Archive: opensuse-factory (1324 mails)

< Previous Next >
Re: [opensuse-factory] [Leap 42.1] zyper dup fails on grub update because can't find awk.
Hello,

Am Freitag, 2. Oktober 2015 schrieb Carlos E. R.:
Wow. While doing this, the machine, which was running in level 3,
rebooted on its own before finishing the zypper dup run, over an ssh
session:
...
( 697/1757) Installing: apparmor-abstractions-2.10-2.1
.................................................<100%>[\]Write
failed: Broken pipe cer@Telcontar:~>

That's a known bug, see
https://bugzilla.opensuse.org/show_bug.cgi?id=941867

Workaround: run "rcapparmor stop" before starting zypper dup - and don't
forget to restart it after the update. Also note that running processes
loose and don't re-gain the AppArmor protection until you restart them.
aa-status gives you a list, so please restart those services - or simply
reboot after zypper dup ;-)


Regards,

Christian Boltz
--
??? You cannot remove the package without resolving dependencies.
Of course you can >:-)
No, you cannot.
--nodeps
You don't need rpm to shoot yourself in the foot.
[>(>>) Carlos E. R. and (>>)(>>) Andreas Schwab in opensuse-factory]

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups